<template>
    <b-alert
        :show="dismissCountDown"
        dismissible
        :variant="color"
        @dismissed="dismissCountDown=0"
        @dismiss-count-down="countDownChanged"
    >
        {{ msg }}
    </b-alert>
</template>

<script>
/**
  primary => lightblue
  secondary => grey
  success => lightgreen
  danger => lightred
  warning => lightyellow
  info => lightblue
  light => white | transparent
  dark => darkgrey
*/
export default {
    name: 'AutoCloseAlert',
    props: {
        msg: String,
        color: String,
        activate: Boolean
    },
    data () {
        return {
            dismissSecs: 5,
            dismissCountDown: 0
      }
    },
    methods: {
        showAlert () {
            this.dismissCountDown = this.dismissSecs
        },
        countDownChanged(dismissCountDown) {
            this.dismissCountDown = dismissCountDown
        },
    }
}
</script>